pkgname=shadow
pkgver=4.1.5.1
pkgrel=1
arch=('x86_64')
install=shadow.install
source=(http://pkg-shadow.alioth.debian.org/releases/shadow-${pkgver}.tar.bz2)
md5sums=('a00449aa439c69287b6d472191dc2247')

prepare() {
    cd ${srcdir}/${pkgname}-${pkgver}
    sed -i 's/groups$(EXEEXT) //' src/Makefile.in
    find man -name Makefile.in -exec sed -i 's/groups\.1 / /' {} \;
    sed -i -e 's@#ENCRYPT_METHOD DES@ENCRYPT_METHOD SHA512@' \
           -e 's@/var/spool/mail@/var/mail@' etc/login.defs
}

build() {
        cd ${srcdir}/${pkgname}-${pkgver}
        ./configure --sysconfdir=/etc
	make
}

package() {
	cd ${srcdir}/${pkgname}-${pkgver}
	make DESTDIR=${pkgdir} install
        mv ${pkgdir}/usr/bin/passwd ${pkgdir}/bin
}
